Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002479 [DCSS] Bug Report minor have not tried 2010-09-06 03:37 2015-04-15 17:00
Reporter ledtim View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002479: Yred's enslave soul ability should incur cost on successful use only.
Description Enslave soul should deduct costs upon successful use only, considering all the obscure conditions required for success of which the player is not informed of: monster must have at least human intelligence, must leave zombifiable corpse, must be natural, must have more than 3/4th HP remaining.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008211)
dolorous (updater)
2010-09-08 16:18

The current beam code won't be able to handle this without some non-trivial rewriting, although I can look into it.

As for the other problem you mention, the player isn't entirely uninformed; the ability description does mention that the monster must be relatively uninjured. I've adjusted it to also mention that the ability only works on living intelligent monsters.
(0028876)
wheals (administrator)
2015-04-15 17:00

Fixed in https://github.com/crawl/crawl/commit/818589925885 [^] (though some parts were fixed earlier).

- Issue History
Date Modified Username Field Change
2010-09-06 03:37 ledtim New Issue
2010-09-08 16:18 dolorous Note Added: 0008211
2015-04-15 17:00 wheals Note Added: 0028876
2015-04-15 17:00 wheals Status new => resolved
2015-04-15 17:00 wheals Fixed in Branch => 0.16 pre-release branch
2015-04-15 17:00 wheals Resolution open => done
2015-04-15 17:00 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker